### Method

# GimpUi FileChooser set_action

since: 3.0

#### Declaration [src]

    void
    gimp_file_chooser_set_action (
      GimpFileChooser* chooser,
      GimpFileChooserAction action
    )

#### Description [src]

Changes how `chooser` is set to select a file. It may completely change the internal widget structure so you should not depend on a specific widget composition.

Warning: with GTK deprecations, we may have soon to change the internal implementation. So this is all the more reason for you not to rely on specific child widgets being present (e.g.: we use currently `GtkFileChooserButton` internally but it was removed in GTK4 so we will eventually replace it by custom code). We will also likely move to native file dialogs at some point.

`GIMP_FILE_CHOOSER_ACTION_ANY` is not a valid value for `action`.

Available since: 3.0

Sets property | `GimpUi.FileChooser:action`

#### Parameters

`action`

  Type: `GimpFileChooserAction`

  Action to set.